ClarisDrawTextInternal::ParagraphPLC Struct Reference

paragraph plc More...

## Public Member Functions
| ParagraphPLC ()
| constructor
int | getLabelType () const
| return the label type

## Public Attributes
int | m_rulerId
| the ruler id
int | m_flags
| some flags
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, ParagraphPLC const &info)
| operator<<

## Detailed Description

paragraph plc

## Constructor & Destructor Documentation

## ◆ ParagraphPLC()

ClarisDrawTextInternal::ParagraphPLC::ParagraphPLC | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ getLabelType()

int ClarisDrawTextInternal::ParagraphPLC::getLabelType | ( |  | ) | const
| inline

return the label type

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ParagraphPLC const & | info )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string ClarisDrawTextInternal::ParagraphPLC::m_extra

extra data

Referenced by operator<<, and ParagraphPLC().

## ◆ m_flags

int ClarisDrawTextInternal::ParagraphPLC::m_flags

some flags

Referenced by getLabelType(), operator<<, ParagraphPLC(), and ClarisDrawText::readParagraphs().

## ◆ m_rulerId

int ClarisDrawTextInternal::ParagraphPLC::m_rulerId

the ruler id

Referenced by operator<<, ParagraphPLC(), and ClarisDrawText::readParagraphs().

The documentation for this struct was generated from the following file:

- ClarisDrawText.cxx